Assign Default Isolation Segment For Organization

Assign Default Isolation Segment For Organization
Assign default isolation segment

Set the default isolation segment for a given organization. Only isolation segments that are entitled to the organization are eligible to be the default isolation segment.

Apps will not run in the new default isolation segment until they are restarted.

Request
URI
PATCH
https://api.example.local/v3/organizations/{guid}/relationships/default_isolation_segment
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Request Body
RelationshipToOne of type(s) application/json
Optional
{
    "data": {
        "guid": "string"
    }
}
object
data
Optional

data

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns RelationshipToOne of type(s) application/json
{
    "data": {
        "guid": "string"
    }
}
object
data
Optional

data


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}'